Bug 868065 - [abrt] iftop-1.0-0.2.pre2.fc17: PROTO_ADDRESS_SIZE: Process /usr/sbin/iftop was killed by signal 6 (SIGABRT) [NEEDINFO]
Summary: [abrt] iftop-1.0-0.2.pre2.fc17: PROTO_ADDRESS_SIZE: Process /usr/sbin/iftop w...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: iftop
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:1edec4dd422a5c52e513b895741...
: 1046292 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-10-19 02:41 UTC by Reartes Guillermo
Modified: 2014-01-03 22:42 UTC (History)
4 users (show)

Fixed In Version: iftop-1.0-0.6.pre2.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-12-21 02:08:38 UTC
Type: ---
redhat-bugzilla: needinfo? (rtguille)


Attachments (Terms of Use)
File: core_backtrace (1.34 KB, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: environ (2.17 KB, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: backtrace (13.21 KB, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: limits (1.29 KB, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: cgroup (130 bytes, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: maps (6.50 KB, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: dso_list (1.16 KB, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: build_ids (533 bytes, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: var_log_messages (229 bytes, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details
File: open_fds (211 bytes, text/plain)
2012-10-19 02:41 UTC, Reartes Guillermo
no flags Details

Description Reartes Guillermo 2012-10-19 02:41:01 UTC
Description of problem:
i launched iftop while compiling kde with kdesrc-build script. (on a KVM:GUEST dedicated to such task)
it works for a while.


Version-Release number of selected component:
iftop-1.0-0.2.pre2.fc17

Additional info:
libreport version: 2.0.14
abrt_version:   2.0.13
backtrace_rating: 4
cmdline:        iftop
crash_function: PROTO_ADDRESS_SIZE
kernel:         3.6.1-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (6 frames)
: #4 PROTO_ADDRESS_SIZE at netlink.h:43
: #5 _nss_myhostname_gethostbyaddr2_r at nss-myhostname.c:435
: #6 _nss_myhostname_gethostbyaddr_r at nss-myhostname.c:444
: #7 __gethostbyaddr_r at ../nss/getXXbyYY_r.c:256
: #8 do_resolve at resolver.c:123
: #9 resolver_worker at resolver.c:423

Comment 1 Reartes Guillermo 2012-10-19 02:41:08 UTC
Created attachment 629716 [details]
File: core_backtrace

Comment 2 Reartes Guillermo 2012-10-19 02:41:10 UTC
Created attachment 629717 [details]
File: environ

Comment 3 Reartes Guillermo 2012-10-19 02:41:13 UTC
Created attachment 629718 [details]
File: backtrace

Comment 4 Reartes Guillermo 2012-10-19 02:41:15 UTC
Created attachment 629719 [details]
File: limits

Comment 5 Reartes Guillermo 2012-10-19 02:41:17 UTC
Created attachment 629720 [details]
File: cgroup

Comment 6 Reartes Guillermo 2012-10-19 02:41:20 UTC
Created attachment 629721 [details]
File: maps

Comment 7 Reartes Guillermo 2012-10-19 02:41:25 UTC
Created attachment 629722 [details]
File: dso_list

Comment 8 Reartes Guillermo 2012-10-19 02:41:27 UTC
Created attachment 629723 [details]
File: build_ids

Comment 9 Reartes Guillermo 2012-10-19 02:41:30 UTC
Created attachment 629724 [details]
File: var_log_messages

Comment 10 Reartes Guillermo 2012-10-19 02:41:32 UTC
Created attachment 629725 [details]
File: open_fds

Comment 11 Fedora End Of Life 2013-07-04 02:54:54 UTC
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Fedora End Of Life 2013-08-01 09:43:28 UTC
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 13 Robert Scheck 2013-11-16 19:02:14 UTC
As it seems that there are two similar issues in iftop, I still would like to 
track it down. Can you please try one of these scratch builds please and give
me some feedback?

 - F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6187796
 - F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188542
 - F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188556
 - F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188569
 - EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188587
 - EL5: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188595

Comment 14 Fedora Update System 2013-12-19 19:15:24 UTC
iftop-1.0-0.6.pre2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc20

Comment 15 Fedora Update System 2013-12-19 19:16:28 UTC
iftop-1.0-0.6.pre2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc19

Comment 16 Fedora Update System 2013-12-19 19:17:34 UTC
iftop-1.0-0.6.pre2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc18

Comment 17 Fedora Update System 2013-12-19 19:18:47 UTC
iftop-1.0-0.6.pre2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el6

Comment 18 Fedora Update System 2013-12-19 19:19:56 UTC
iftop-1.0-0.6.pre2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el5

Comment 19 Fedora Update System 2013-12-20 16:52:04 UTC
Package iftop-1.0-0.6.pre2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iftop-1.0-0.6.pre2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12431/iftop-1.0-0.6.pre2.el6
then log in and leave karma (feedback).

Comment 20 Fedora Update System 2013-12-21 02:08:38 UTC
iftop-1.0-0.6.pre2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 21 Fedora End Of Life 2013-12-21 15:41:43 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 22 Fedora Update System 2013-12-21 18:50:35 UTC
iftop-1.0-0.6.pre2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2013-12-23 03:50:39 UTC
iftop-1.0-0.6.pre2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2013-12-28 23:42:21 UTC
iftop-1.0-0.6.pre2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Robert Scheck 2013-12-31 05:20:38 UTC
*** Bug 1046292 has been marked as a duplicate of this bug. ***

Comment 26 Fedora Update System 2014-01-03 22:42:46 UTC
iftop-1.0-0.6.pre2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.